# Uses of Interface
org.eclipse.birt.report.engine.api.IRunAndRenderTask

Packages that use IRunAndRenderTask
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IRunAndRenderTask in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IRunAndRenderTask
Modifier and Type
Method
Description
`IRunAndRenderTask`
IReportEngine.`createRunAndRenderTask(IReportRunnable reportRunnable)`
Creates an engine task for running and rendering report directly to output format.
`IRunAndRenderTask`
ReportEngine.`createRunAndRenderTask(IReportRunnable reportRunnable)`
creates an engine task for running and rendering report directly to output format